GNU bug report logs - #50453
27.2; Portable dumper broken on MSW

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Po Lu <luangruo@HIDDEN>; dated Tue, 7 Sep 2021 12:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 10 Sep 2021 00:51:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 20:51:20 2021
Received: from localhost ([127.0.0.1]:36479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOUlD-0005Ma-W8
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 20:51:20 -0400
Received: from sonic304-22.consmr.mail.ne1.yahoo.com ([66.163.191.148]:39853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mOUlC-0005ML-8h
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 20:51:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631235072; bh=l6JBWhS2Y/GyeJC1XIR1hfP6sfZ50n9gnO4AJE4QLx4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=L1pdPV+f6lsZaY06g6b4D4gGVTB6SJMZKb9ckEHMZss05hpSddOL+8lnQP2Hbox+4dkvywR3EdOlRVmVOusVg38pMiBckN2Oyu/lOCDGpbhp1aqhX+2uOiwdGAqLPNlhp0/vbrsF29lUZSzU1qIV+U7Ee07gcRxu/cXbef9qWw1zhZlK03juABpmUqHHU+LF+BSItSv7hXVQPxAh7TQgNxDr40XZ/a2027R7A5eGwVM1fWjcSEPbQIaBzEVVJV8a/dohB7HcBWTjF4/HG7IoTk/7dp3jJh6X6MYMgDHHW8IpJMsSGFdAgTaGYgoaDzOM8GiibkTd6f6d0nTYJGB1EQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631235072; bh=EgLJ3adEOdZam4II012FeGccc0lVmgMmRKdw4UkyU2m=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=N1RO1emalpmxV/PZQwtFsenhXaeGeSGdtvr8TJO7k6yn8JZYbYMYA0FwWW/njUeTqSrN+Y+kgEZFbdDcEGFss6tjBxGgOr7uUSvaBDwXvYl/czipLKF4wQ6nvyUsx0t5hbcN8FwL3JlU6KonINKw2ZFBw8b6rQZfRg0+JT3YFLGfJSiiBXLxPB9aQo4DputxokQV6JKHHc/lRQG+tztblPj6nd5BDdFVIH5YEpZPYR0A1EJlcCEmnOHbKyOB4nYNBrREU3mp63JD1HlG1cDdrBxoFb1LRvmJhNp59mxCQY/DaKO6WgQD5UlqSed/jLa4+p1nz8NrovZtW51VgT7vTw==
X-YMail-OSG: HMHUausVM1nicDaRYqI88PfeJO.FGqkkC_.3EwiErHpxOJjgM.a26XYffovkRUs
 x_Y4puBHdsr2ZN0qyQH2Ij.zojo348r0BIqQi3ljJHUY740q2ioh3JxYD57aLRTxakIMuHxilUFu
 Y3fcgi9o4O9XRa7yAjVlQhcHFdmf3dt7N3K60SvBT0tdAuJ3wA3NZPYj4zyEjnkRrKWs2zhpFrCi
 wy2RAgsg7.hBq1DPvQPZT.hNYvwjHMCjofSvjW8re98yRZsXlpEzwIY.FVGMa65zIyXW0qsfc5Gk
 5zUsgBcmS_70fo2__IvG_QpY0MNFLEM2L23hrChgYaUiBNqjk62znpakTUjHGHkUT_GbPjEHn0qh
 mXv01a4MnBBYr2xBeUwAXk9uaoi0OrBn1IIs5pxMUe1Gig5Yw4Ee0eYlgKOcm_RU2s9ebP14Sx14
 qQdjIFpTgX4MVtIAE0Zr194CGQoXRpbamPpomWFR3C2zWRR1s5AjSUkO3sHC7kryU7uCbY9FnKci
 yKK16WENChUTC7f.UVYp27LA.USIN11JA_3XIKKZqPk6h_BiwxAN8j2LTFCI2UE9X6AiAW1wWqL_
 NBoljsJ.j28RNf09nBLQj7_bXPDqrkH75Jf_GDS2bFyDULlyRTG4hfyNVIlyj892ortaioeDZMy0
 zh9VxvMAMnU4Y4biLMfhDdnNd6ZMtnTezwG.DJ0aAEsT9vnJbebKA9dPB.Kw6arSRc_7dXZC7qI7
 L4GEQPSldpH1f6tGzRidP52zFBn0p_IolSv0mkS.4oZdp1ouUocxjXsSe7DW02lcOPgA404p9vbe
 AQGBvMisZJ9.bxcF0iGNlDxoLv33WgnXwAVE_LLvNm5K4f7C.XXQrmgDGYk_3n2QOTt9a4NCFge0
 E3QE30Fw5YmK2870U6humJC.k3flbzM1pGzMHIMRVMqK2T29RooOJ2qxlWbhtrTsbXFC6prmWLd.
 Wt8DCtR5odq02eeNIZqH8zZpokvNk77w4ItwaUCMKWuVaulLTxLP4CbGNWEcVS8MmR8Mz8txcoMS
 O9GgPlkjquiq0QkxRmQdP31D_BNMvXD7HHnPb7U8juD6_jaCBWQipM1lKuwHH08U8CFwHLmIdG3O
 rX9isYiIvL4NTvcenr.MjSKxkKwXvnc0mNKVxcBa3J_JCXPVMTA.ucLw2STx5Pv_NR6lpBnqMtc6
 bqLTeCULzdtC6uDtufK48NoejiTeVczg.HGE4tpna9AEzHDGtAbamAsB8yUORVeF3PnhTob.x.oO
 7dPO1wn.iKdT5jiO2Jc_5sEmleExz15ipwdPirWbLMIjpjrB0rxUWXtvEKtIRyWOTnwXWGW146Tu
 q0cnguDv3ExZp47hiMF1Bdb7wNB_ogUJfHqfZoB3q.DHU1SmqA7CHRD5XRq_GYAPXofEH6qM346A
 cV2bDMURLRWgg4b2hx5Ju5De0zf.LYFlFjEsl_WG1yaHpUH2XdkaKFmjHBFU.2a9wQpJJhH16mL_
 XEUmWgOjPWa2z4zAsNl1d.0jEVXJXnHyXCQWDpwvwHrAHFV6qjRMGbfHf1VZW0k_2vwAXbNbxrj0
 0_3MUgqZUq35gWyJmcDghd9euuTFRSd6HaioFf90_CXll4SfGRwS8h__PEEyUjWbZ0mVHFnld2Wa
 wvpj4L74p4D8Sv7XEJAZwO79yTS8xNl1Hh_FA0UKLgyVb1eaiUzbcfK3ihj.2X1pEoeQAoNLM09_
 yMyMOs2eJTNeaVbJO_v1XF_G2Sadzh.HdpW.UnhRzHCZzpSxW_ttNB36GeJo_0QnEyWSFaGyuhD7
 obQ_KiGABmDlEtUAmmhnhwSGjDWdSDXl_yhbJEeLVYy_ecVehsE6lx8lnp20TJjQ1CZQZC.WM5Uq
 HtuGyS8f7cOEfnv3_IFV4kAI3d3bSsGY7p9.eM7YdPBfZP1Euqc2hIrWePU6sw9eH.1.L.oulnLr
 la6Czi5ptyb0vpzGKA.HVYvPfkNBh16Sc6lRQSrMjduIhhL5qOvrs9zzxexLw3nzEaZYOuJW5Jbm
 EvPEXB3v2TqSsbWKFHTqiMvLwJM4Q7odh3Vsum8XXaEEtVTxwjDtHl4ijgfA.3piYgX79hFo7GZG
 zbr.YmRyCl3inE.nUKtedZ9HpuWHGmzt7jd_vY2izn7LZce.xAJakMaG8aFyhqZKylb.a9zPYoRc
 usXlcV1Y7s7UEn52kYr9ArPAT_2Q_bGUYKm9fJZidCGaZHoPLNwhHqdlpRuwGiAieabzmsLpnRMl
 n7PVz1MHrB1wOC63fmSWzBQcdEWKVqce72FObtFB2qn0t3s2HK6n6Qev6jMW1QZuXsSVG6DVc5ns
 P7B9CujFt6Ek_Px8Fjw--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ne1.yahoo.com with HTTP; Fri, 10 Sep 2021 00:51:12 +0000
Received: by kubenode513.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 38883eb80539db05a7e67c5de75dc99c; 
 Fri, 10 Sep 2021 00:51:06 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN>
 <87sfyem17q.fsf@HIDDEN> <8335qekllx.fsf@HIDDEN>
 <87bl51ncq6.fsf@HIDDEN> <83wnnpk984.fsf@HIDDEN>
Date: Fri, 10 Sep 2021 08:51:02 +0800
In-Reply-To: <83wnnpk984.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 09 Sep
 2021 19:24:43 +0300")
Message-ID: <874kattfrd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.18924
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 863
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> The current MS documentation is "inaccurate", to say the least: they
> consistently removed from it any references to versions of Windows
> before Windows 2000/XP.
>
> I use this instead:
>
>   http://winapi.freetechsecrets.com/win32/WIN32MapViewOfFileEx.htm
>
> and it says this is available on Windows 9X, but there's a special
> requirement regarding the flags, and I see that we don't fulfill that
> requirement.

> But I don't know how to proceed from here: you are probably unable to
> build Emacs for Windows 98, and I don't know how else to ask you to
> try some modifications of the current code.  Any ideas?

I have successfully built Emacs for Windows 98, with functional
debugging information, using MinGW GCC 7.4, though GDB is still plagued
with Windows crashes.

I'd be happy to test any modification.  TIA.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 10 Sep 2021 00:49:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 20:49:05 2021
Received: from localhost ([127.0.0.1]:36458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOUj3-0005Hv-BM
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 20:49:05 -0400
Received: from sonic311-25.consmr.mail.ne1.yahoo.com ([66.163.188.206]:44629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mOUj1-0005HS-I7
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 20:49:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631234938; bh=HN7OJO+jvnojLA+vRNEoj4UuDmDzsBxqHA7McMU/R1Y=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=BI1wawanlTArpF1HYX0VLkflwObBoLzYHPUJmh8na/L6c+hhRKRhxr7qZUuqqL/e64bjjekbzHutFA8I/KGHMc56Ok5kJNRGMTtyfF63J7qKyDaPO0Vufkq9IrAR+t9FYF1MncCi4sd5+NKvxFwwEFZtZH6yoTKwpFPaNQbN6h2tmfF7/SPP5C0Cke6+q7OghvaGa7pCDKC4qyl13rLitBZ1JCQK5pO0WLcTn/tl1ARQCVzRkU6c1rqvGvd71TIeEpELe/QItUBf7kpj6hpNqlWUAyrLqZS3nW1j9zUDn22LdoPPlKBU5CraZdvKW30zCVp2jl+ilyHVWGoqFX6ZWw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631234938; bh=7uqaw5n7/PmIZom/dSlI3GLzD3+G3fq4osB1ZATwzfq=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=l8AU6GsJiyRQp4fbPBs7qjr3yC4pg0amK2xTkwyumgpuqUHaRWAmENFucpxGtEKDF9pkLuG3ginUBNWGZDXaAYhbED9uuwG5GY+y8Je23qv3tmy8OBWnPT0EaUAMxg+H0XfyawMDdwjdXRPFvw3ZIC37WipNVU8Zw4Piktxw6YEVF1s6Y7fcQ2rPv3ssIuR9/rCg2VxG+UVUsSBlaRmyah7cmqcJzYkBJEnTTFi/OZcKWFBOViaVNeaZRfcPbSdvOhu2g9EJkLBRswfslb3XKFZg1al9rQG+3DVUE1eNOcTy5bGyAd1UlFBEM5FfLFScSKz5vnKtu+fsx1sJNoFOkg==
X-YMail-OSG: _.0PD.4VM1mH0o.2FjX2tJ2lxVxXYjE97EuTKnoC2esqY_NCNv0gXW5KKyhjc5l
 nOO_8n.1.weSxgSfATO0Xub9D2RDQPH3jg9hREjsqX30io_HJGVm4FA2RmxVD97b2eZK7FcplLX.
 raLFobSZ.yun.Mzlo_IsCPLt1HYE69_semS3Asfu_LDYGfZzi6qtt2y9bs5Hkgd14O0jCKvRowqO
 1ujTbW9_VsWetXGKCywzYRr58Zaf7l2r.WsMpBS80Q4iEosi7ODg8jLonWke0b8JusXl4mcoiS6v
 ZvnerU3Pqg7l0r5bmj2sul2QPfHVXwDwEvgjrYfv6rERkTrG3gU3HzLkgsBG.BhmNww32Nvf6ZOC
 aDLwCMctgC2hFngGbthaq8MBYaa6gA1QxlA0xYNOxKpziJRZ.scA8QWTFa1ZCY5BtHQQjAakAKJ7
 Vb9oTNcbupl.EXBC1ZgC35GT7ND_On7zhtmo3Em8JyvVdccBb9c01sneDyqgWhm1ajm8wjFTTLj6
 C0q3DWm7T_6aNQAmyasMZjQWwni1N3hhxUTR.RX8NSlqxal2XzDSrMynPK7YGjIYK_qo8mgib15R
 iuIwF6MH6_T3pYIwo3r5OKPMjFXNDGmgq7cs1wEjcMlMnjEqIasuJaql2gZ6Um9o335nm0uQc9IQ
 l_S5PfGOhp5XdQr6Tc5l4.3Zaaiy_YcxlULS35vzRTZ1gCPJOTUrFyURoPxYwuHMBPNR7hzpYI8S
 m2.2UeFPdTl8KOSFQaSQy1YgoU8zU4XorvqpgnaqEEs.t0WfJ72xXUCBq_3sqEKzVmg.hm4KXrK1
 E_oft67fiJ4W_EHZmzb.0HdaKLsUgXY9zzfLJSc0rAgXj6Opxuy5B2MDyscIk63yOmZBpGNms62Y
 aqyCqUNmmbLw4GKR7kyhR4q6wGYCcCKjq_.VCG6w9.nsevR6EnwcilOHY4h2xgqwZe9vCXa6VZQx
 o1MirFuU5U6H9uuQvWMLflyacBTXLV6_OlwgBV4Su2OqNIKTo6njnTg4FdZ9RlkIdqmDIKQP4k9n
 6VWOktgZlngLD5RoIQP8a4.NfI8kqGKGZBRVyOd1unn71idyEISQMwC1oxhXZ5i.uQxX97gTR6jp
 leYgmpAoJVxuwgtk0Zf2Ssr8robkXPxnuCiQ4hYN1dCcjsNBRP4sR.iy0lcMpLtj96uv8Mz1jw1B
 YcxtgWniKA8IDnwfwKl.x0kaUXi_EcOLuOeE5zyAOzQtoP9w0QvtvQVABE57J8CZIXPR3mynL_Qs
 GV1xO_xDixwc.eyWVyLHM4ka6p01HYvDWiUEGlft1PR_Zpi4rfBwtWgM7SD.OzRFsFzuffg4vVl_
 1dWyOhyBniXRyi7jMqenLD7TSsJ0RZxHtsRdQPboi6oTaVpUFT5TXPMgak7UJ58_.svy6AzjQtuh
 KYspERbj7l84vAZ3MwhxmFU_7f3TuFsFdGza5sXoI8xqJ9CIKLMHZj6KdXMHxCqEKhXZm1oX1xp8
 JRwi3zoLq78zb2uRdVJOLS3ZQMMRNbQ3Nm8xlhPc.PHMHDr5TJav4_rCP6nlcmvixv772q8Ze62.
 RbRodEopmexF69_FL4O9bJophyM_ugTgCTl3zormwwzEzJBtA.Csp94vT.z2b1WE_6BAJWcsiDTE
 dTPU.B7vkcDovJWJPxZIHeNI6TlfGZbP42g0JgQklhjsg4uJG.dnrM96beuZDNCyVdY3HVueE4il
 tPB0XFjNA0hdzpKAbXgqyQW8zT8hfVfccw_SCrE3cnY_aQlBaspODMMwO.EOUZNGxsH0MfbRkFd3
 bTxe3.rIkQOCsg5c2pOm0almAREASV2BO345MKXrisnPMWxyabR2UrkTFwCXwIsX0PVGk5h4JAhL
 JUi8nLQYSHoNCwyQL9Opn_rjmnm5rTuhIGzsBbb19yfohd7zVzy2BFAWKp3aR6SAeiUY3fGIAjlJ
 BLLMstJVU6geLxu1SjmzfOW9AJ05LVznEhu2NbSqr4eMgeyEmmeOj1JK65JaBtWTdSjNvv6s6ZOU
 fR48zgYvTOAHaeTwSpKzxhpNu49IHbQozJhVyei3bfWt63x5gHd.RXUU_uzXZKpo6ZzdGBxxwWYD
 PSEZHkcQGL32mWv_.rqOQHd1PPiusmjAN6UgC1GG0CE_JyYz2VIPfsqXvT1ETe.GO9_x3GmmfC2p
 PsnJu.U4wX2fgvkyYRgvF43iTinIBR44TRfjhVoEu52fM1rbuxKI_rVpOV0t_fAuhMrgYxBOWePd
 LJmiC51SydKuHDrE75iRWkmWJ2GL4vvfOgjZvXA_Z4G8mbU0nb36UqYKoqHD2bEuaBFh15pZTm.l
 AwD8_OKpaxmem
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Fri, 10 Sep 2021 00:48:58 +0000
Received: by kubenode512.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID ee9bcd65bcfa533b42ae3d4598804d2b; 
 Fri, 10 Sep 2021 00:48:51 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN>
 <87sfyem17q.fsf@HIDDEN> <8335qekllx.fsf@HIDDEN>
 <87bl51ncq6.fsf@HIDDEN> <874katnc2h.fsf@HIDDEN>
 <83v939k91y.fsf@HIDDEN>
Date: Fri, 10 Sep 2021 08:48:47 +0800
In-Reply-To: <83v939k91y.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 09 Sep
 2021 19:28:25 +0300")
Message-ID: <87bl51tfv4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.18924
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 386
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> It's possible, but only as the last resort, because it will cause the
> startup to be much slower.

> How did you try that?  Did you rebuild Emacs?  If so, I would like you
> to try a different change first, before we decide to give up on the
> memory-mapped file approach.

Yes, I rebuilt Emacs.  I would be glad to test another change, thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 9 Sep 2021 16:28:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 12:28:19 2021
Received: from localhost ([127.0.0.1]:36076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOMuR-000592-KQ
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 12:28:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mOMuQ-00058j-3R
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 12:28:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37818)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mOMuK-0008SM-Se; Thu, 09 Sep 2021 12:28:12 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2010
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mOMuK-0001nj-FF; Thu, 09 Sep 2021 12:28:12 -0400
Date: Thu, 09 Sep 2021 19:28:25 +0300
Message-Id: <83v939k91y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <874katnc2h.fsf@HIDDEN> (message from Po Lu on Thu, 09 Sep
 2021 20:55:02 +0800)
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN>
 <87sfyem17q.fsf@HIDDEN> <8335qekllx.fsf@HIDDEN>
 <87bl51ncq6.fsf@HIDDEN> <874katnc2h.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: 50453 <at> debbugs.gnu.org
> Date: Thu, 09 Sep 2021 20:55:02 +0800
> 
> If VM_SUPPORTED is defined to 0, Emacs loads the pdmp file normally.
> Perhaps Emacs could test for is_window_9x (), and if affirmative, fall
> back to using dump_mmap_contiguous_heap?

It's possible, but only as the last resort, because it will cause the
startup to be much slower.

How did you try that?  Did you rebuild Emacs?  If so, I would like you
to try a different change first, before we decide to give up on the
memory-mapped file approach.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 9 Sep 2021 16:24:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 12:24:39 2021
Received: from localhost ([127.0.0.1]:36072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOMqt-000522-0T
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 12:24:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mOMqr-00051k-25
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 12:24:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37742)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mOMql-0005DQ-Rd; Thu, 09 Sep 2021 12:24:31 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1776
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mOMql-0007ZD-Ce; Thu, 09 Sep 2021 12:24:31 -0400
Date: Thu, 09 Sep 2021 19:24:43 +0300
Message-Id: <83wnnpk984.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87bl51ncq6.fsf@HIDDEN> (message from Po Lu on Thu, 09 Sep
 2021 20:40:49 +0800)
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN>
 <87sfyem17q.fsf@HIDDEN> <8335qekllx.fsf@HIDDEN>
 <87bl51ncq6.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: 50453 <at> debbugs.gnu.org
> Date: Thu, 09 Sep 2021 20:40:49 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Can you put a breakpoint in dump_map_file_w32 and verify that it is
> > called?  If it is indeed called, can you step through it and see if it
> > fails, and if so, how?
> 
> I tried a few times, but I gave up because Windows kept crashing.
> 
> However, the portable dumper seems to rely on a function named
> `MapViewOfFileEx' at line 4499 of pdumper.c.
> 
> According to the documentation, the function is only available on
> Windows XP or later; this seems to be a convincing explanation for the
> failure.

The current MS documentation is "inaccurate", to say the least: they
consistently removed from it any references to versions of Windows
before Windows 2000/XP.

I use this instead:

  http://winapi.freetechsecrets.com/win32/WIN32MapViewOfFileEx.htm

and it says this is available on Windows 9X, but there's a special
requirement regarding the flags, and I see that we don't fulfill that
requirement.

But I don't know how to proceed from here: you are probably unable to
build Emacs for Windows 98, and I don't know how else to ask you to
try some modifications of the current code.  Any ideas?

> Specifically, I'm referring to the "Requirements" section of:
> https://docs.microsoft.com/en-us/windows/win32/api/memoryapi/nf-memoryapi-mapviewoffileex,
> which states:
> 
> Minimum supported client: Windows XP [desktop apps only]

That's a lie.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 9 Sep 2021 12:55:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 08:55:21 2021
Received: from localhost ([127.0.0.1]:34373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOJaL-0004vZ-8e
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 08:55:21 -0400
Received: from sonic303-21.consmr.mail.ne1.yahoo.com ([66.163.188.147]:40867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mOJaI-0004vG-5c
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 08:55:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631192112; bh=Dx1pUTo72hkYz2h2hZxxIo0f40z7CJVlsu4hkODXOlc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=H8TdzfhpbxLSqbvBVM1hMWCxVXfF5g1+NctSIu5uUSAdIwZL0Pojcvlo6BmAIuEM8aAbYDG9EZmEYYK4pGUmOi1kDIYylR9PJrZPPvr8VPR0DNdz0T+42s0SUi6jfb0d4k2Ia5NmfUXNybf4+BmPkIE+kmf9+vB96BaIurMRq8TN4nd2c8ehlJJtfhijT/2Cue0lsGndGgXhVXnY8CmlCAqxN/V0P3hluMj+k2LQCUHh5E5be45R0zQjcMCL9id4DaKeZPo98V18h3XbN0rVwy4XUpOmJllXWnbQkDqliFST/X1yUlK19aoPZgMnM8S0QCl3DuZa5PMrejZd6raMJA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631192112; bh=14AvnAoiKw4Zoz/IQWeFJc5Om3/DBDZikeDNVcveFOA=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=tnT1m6LxHLRay4fAG3OHLJ4RN6mejTqT0/MhwPZ6O56p09wUaCXrK3alPBVu0fXQ3Ng69Zv4qpdmNP/jJxEqQp3A4ypuDHkMeWKFyqB+ryDKu79lKuqFDdZ9m6MbB2r3vKLYvhBiuy7+Ib8sSyqXbNZq+UcLNdXMjR8IlQsqPJoOJc1XaJcvLH8Wp0+MTuDYyRPPchlwjGW+gwgDiGvjePdExqe5GrAC4fVYh7wFV22Gm7TuJ6PIW0UHCaht7dwyFnBsV7mKhmkR4m/hAG4UOlHas8NzwFQwQo9SvP+eSsS9pK/tU1MXLDF7XEnsSikJodDFC/lOon9sffqE5ervWA==
X-YMail-OSG: u77E4QEVM1mOsPaQ5pLVvBkLfM4cIkyuOOQZ2YiLBnoFoE2TvPYIvAPh.9BV2Bx
 1Le75hXzR2HPPcxdmC72pNf3vqM3zq6.1yaB0lJaJLb38ER6XYsZvJU15aCxDIAQRLLlbCF4dGZ0
 i4r8.XBMFk0t22NwcGdFx7JbYZNPHPbWd4mPKri.5u9twlJpb7MX.RmneRqCyjAkRB786Y8oJ73I
 rfVNlQhfhyVcJVWGtaohjOPx71vOzz0C3vKCbBE65Iajq7w6j1DfvzqYdkofJ8VeRr_Pw9p.jyc4
 ZnhLHJcmDincokO_8.JzW66FEe_8lKoLJ9edhtagDxtjUCPRqUqXuDpyWMvOhU.KTR4rCxAmITos
 Tu8cEEWy.pcArh5rOTeZq5ePmjOE7mVWLCJnnFs1tbSVeUV2Z9kZaFw4g4rInHEmNyzoNeVHxWMt
 1gGFmFmuPtqasCdaa7yoM1XD3vJBtdBTzsS4jjV7JrrvqZz8O2Xiwrj9tt9xPR0XaPSLh4fv2Uv8
 wjch16yZQ3XRuwBWsyMsDxVsLZX5LNCgayQ50n34jTh4GEYHACYKdLS.F.d1WcLtxUYH7dUdhEx1
 PxOXS2S_FeKmhdFIgxt7ITOBDGI3STUd6E5Mf4ygAfVfJmIC9aXqihRMwIN3AWgugGpkzyKRr6U6
 pLPoL48CTqvQdWyynDbSLWtCcw1y6_q8RW1FmwrFiKA4UuDoRolJXg2BLvu8QGWuK6rZjtqtLy_1
 ZUGGG2MTooeoi.FuaGz7QDQ2uk4pbZIGiX4f7zmJQ3PlLMNYp.rwWt7wqX4LS2YxrmwJLDDDPlYc
 EXpBFfdyvsjE6LlcDVPL_OISr7AN7dFtBER5pts9KRXpUi5rnzrukXQaSPLpPVLuXqr2OZDx4s0E
 ydXm.xnz1j_nPV4W8Cy61DCJ4EQo4xj2SLu_74B7uUyftDK.1g5mhIKqWbreK_WLRpcU8mU_NAaS
 K_xDXBg5F4J63MSV6WNu4Qs14Xia8V9oUFWpzuRRvxvWp4oL2wAfEhcBBB.wyCwJJPY2ND_C4jJY
 MS7BOeBuR5tqGAjrOUk9_VqwF.nzqD_bb12FywPPSYS5F160hRnazyfOgv_xyW4baQ0yTBuDsQiF
 wvU5jud23VbN.Llfa3unW7lm91R0mc6JdSdv1_Ge4TMKdWJlh3U8YQtJKweoi8_vYA0LKnuLi1NK
 9A00e3NOO6IzxObyy8sUWBrNm67tAq7LznePYZcfj4MDHU0ymr0MGH3wFcf.9W29l0hlN1ATmQpC
 gu5jsL5kGXWBt9XXuUc_JBm.r5xeqbqSBpEWkasxogBz1hpc6hhwcX.MBCREjvCU_C3g7N47U34t
 e_9g69nB69L0t5Q_xplHQgdiopi8Fmd3aj7IW8ICJPsuDL.sA81FcJDfnb4e1P21vEfeLWrbZ9cU
 1CrFMqoc_IhBDz5kyqdMNQq7n7t0a4g95rOTwIpxff4V6sYxPIx9NI5Xk7OJG4KVA61gNh8Igpz1
 GCvyq4WD_UEpMos_khKK_zIlluDMAy8GGhErVBIVxi4r.dUorQyVaz7.hIb_E97ytVadyKJpSx6e
 bGmEypeKYMFQbz2_Q0ULLQKhTmO3Jdz7VNbblQESaIa7GR0khbxmZOmcfc.LeWcyWWgWcq36RDZn
 xp7Otb2tvIQ9.82NhcwNZHFm0GYLHzIERcH3PBogxX9LsvjD21z0V2K1LAUKwlFhtbL3bPbBDV4O
 i8Hh_U7RIsE3sHlye6WlmSMZUykN1iQn1XTsAAYrsUYRkPpTJgoUm4GAx6g8wCmKD_ELomhrXXNr
 MW0iBDFfaDPDY7EO9ukKEUEb66kkgjurmb.y6.BijT7TTtCGkAltjUHsqR_k.9EvAbmJjtZCYoUF
 97e_ZPmMeqBeDKZZwGvOFw5X1ZnlAdqu0afj7.NOCsxIlQb3g9kwdAbxahArGBAAXnGgro6vwHKj
 V5_XOeEpZ6Vf6WAXfEDMULq.341EkCPpHxylBk2RsPQX9ovgDc0.NdiQCn3N.25jIG.B2qSm5HfN
 6jnbDxQZQqDhatahwm4M7L89BtxkPxeLcwiP0sBKDn2MhspCYun1tGYlXqx2gRLSDdiqC_wI_Al_
 Y9107euX1.t7zb3WYbZNZ4G.9CZknY3xm5g9LK5hHgIvtgEulhUeWdKFqNF7S5gAl0QGXl9chT7T
 mVB.794_iUkNYPn8bAUWP_8x3xQdNvdlj.nVbMo2HoFdUnG6zHLv90pvSqhbQul2qUSBsZIYbz1o
 v4.S1l7feLaFbd3paAurT16lmwZCmQj4hlkphws7ZEH9mRGPrbNkfA_3WrjprOeLf3TiBISJkwqc
 bYaC7z_3IR8a2W17dfcuv
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Thu, 9 Sep 2021 12:55:12 +0000
Received: by kubenode517.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID bc56524564f3306d738472249efaf508; 
 Thu, 09 Sep 2021 12:55:06 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN>
 <87sfyem17q.fsf@HIDDEN> <8335qekllx.fsf@HIDDEN>
 <87bl51ncq6.fsf@HIDDEN>
Date: Thu, 09 Sep 2021 20:55:02 +0800
In-Reply-To: <87bl51ncq6.fsf@HIDDEN> (Po Lu's message of "Thu, 09 Sep 2021
 20:40:49 +0800")
Message-ID: <874katnc2h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.18924
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 182
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


If VM_SUPPORTED is defined to 0, Emacs loads the pdmp file normally.
Perhaps Emacs could test for is_window_9x (), and if affirmative, fall
back to using dump_mmap_contiguous_heap?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 9 Sep 2021 12:41:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 08:41:08 2021
Received: from localhost ([127.0.0.1]:34364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOJMa-0004Y2-LB
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 08:41:08 -0400
Received: from sonic309-20.consmr.mail.ne1.yahoo.com ([66.163.184.146]:40773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mOJMV-0004XE-P1
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 08:41:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631191258; bh=Z1bpSRhX+kIEHtckyQIVqMQCYG4Js6lJbQzlxzcqjrA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=qVOjgyHoMOOh6cATeNwRW7xOu3+h+zdkvkljXWyKzT0Jt0hPjfWge6p0NV5IUzTE7+Nu1mDSmrN6xqie8JCYB2mOc+ust/YALuwZk02pv/a6GLMN4iCkzcP2tZX5KeHelz8QqRo60eLLLmrK51CuBfitF8eNGgZUPIbm77jfQv7A8kuXXskrVUQGMXBcGDBzenuYqiW3UEiHlI7OPClUbzxB9MZqPkLbUSLCYSlWdyBeYkUhsPaylKAr9w69TesSfbt51eLy8STJfzi3wqOV3ba3nvibtFWmEOoGxRQVDdoQ4XA9/nmXyjXN4bje0hdAlGEY+OgiLZ2BnFo2KZasvQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631191258; bh=XGCzJMN25LdM9nj8+87t3Vl5cZQIkYxTmRPW2xD5BaD=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=JLl2gWNEqoqxGfIrJvKbE9y77GSTkhsLy5hhrSNZj8tAKdqgyfztrGjlYsg/jhPlmmUhZENKeF0OWSMUQByAaqlrtoheKhm2YDnK49fxk1yyZmieTgv5Ep8Hu52kcWbAwSyCuXCU840eUmqDUCEapPEVxT2LQ/FzVflsQnzju5+MZh6iDltxGR8rOXdTjZAsk/btFwwFaD5+XO1c1Dg7AsX92WZP8wJzFEjIEGvVtWwG3syD+TnNvZdWRzlNAry9LEk9DsbLFLwxNB9sJRLs3+A1Epp4q47z7QlVhl1riLJRY2aZ1cDy9TltFPbALGbv+yKdjqeyPkaVua+f2RuQYw==
X-YMail-OSG: rZMBw5UVM1mpzX1tKXXitvpRF9M_XwHojU.Zp861Slx2BlA3sXArDFDrUlaFUbO
 5TiDCaj8n69sU9fiETDWEVXY3cwPNwNu8DKo2JS6v9gXeL8IcAqE_8iCSYd0w9p9SM064CSeL2A9
 S4P8OUkbd3YgfOj9O4rOihxQcPe2F52HhcRhjsstC1dUpHnUBKBybRKD_7VR2hDwx.zZla1FElnX
 Q6KQ8aj_ofGkxLIyKZE44p.XGZVEDt4WsqC5tnANFK9Pu3hbyBqUHBzFgBV3BFa7.FFS_ffeX11k
 LdSq_LEaQQsLBvejcyG.TSSekOQyFGX4zSWwMAJ803QKRKckVT_KjDhLBJDFmOA5_uS8ywYO9zqV
 i01LzcvDHlGVj1SwFxhSZjjIvcgvRXu.eVpCcta64ZjGOdT3Za7BSYg3HBUrSrN_CLjqDJC6Azlj
 JVjn7NDmN5uYvSQ_475PSpE3GI5A49KqFvOz9G2BecaX6GTC5ZklmtnHefCRT8SdStaRl4FZjkf0
 FZIewQZ1Ww7XpDhe9CNYEX8U15t312vqTtB37Qbg2KfhJIZl4p3geTYDyZrxNluYMUcBi1x51gJp
 pTujW9ipPOT8SsYLuyYFm.66GGfsSQYldxe32l_QX5_Ggjh.fCkkJ0JCSciAYj1lP8FtOyQbn0H_
 3aYai1KzO17PZvUFCc2YHnF3PaY64pIJ5vR6mvec0b1kmzEcZW9wX5N0tEJeyMj_KleV7HvF48CC
 nVzk89VTPyvofrVdq2K3eokx_J3khiENa8zAGyKINJYAYdcSA3tgNpmSB9h1Doem84ZWSBkfQkth
 9_G5jSXuVjiYkBVb7wwKKKI2xuxciDBGvF8GCfCgwyDmBU4up_2xJTfRKJjYut0DN8QF9t3XUvbf
 zH_E2MhgNw6P7qF5KP2v8RLhyHXgRPtukP6iH8r0He4J1EsRw3d3n0KMoBgyeyFcYjMtm1_6Rexw
 3X41Ii4usqTxnUgJ42dwENW0gznWv_b.pDsGZhkbmewwSPTVrV9Rb1tE5VEz8JqJ85cvf9v61TgO
 pkKc2lMAv7uOSS11fXt_QVTcPiHlb48AC3iCq4t9QsqgaTYSyxCg1jmAZ1YJBmFf8W3GqUh3da0v
 lBY.frWwonPgm1ThNemSzo9A90_aRTKgLCS9NvLdjvo0u4E6MkYxFFfZlctzZj_6VfjV7LOJFE4T
 kDTH0jtbPnk1uSC6X4wJkG9TxjlcL8dPb20sKKUv7oeCb8_wwqvD0mEEIck69O7W7GroQ4vJyPzU
 PiI2Oden1x.6h16Ds7hyrWVXT2EOY6i8ulHm6W3SVK3qaBYsIvzq6iwC.PFJMMp29fdiuJTlso50
 1jG2FuRr5A7QbO2ElOCrEFvHoVAwmrqoplQVL8Aioy0AtEV93I7JgEouJet3gePJpclQ814PKPzN
 nxwCTRdQWP7FEmcnkDWVl4IQWQzAVpdovJNw3G8Q6VTSmRreXZ_lEwUGcrLhjpoBnuAPXzdqFgOU
 .dAC4kqmQEPfuDTdhXFRzMpnO9iUBCNq9uYnxhlfoIKCJuIHuqe3RdIEjuHm246JdYeWr0KBX3lD
 KcLBVuz9woi1rdT6ER73Sgd4Lm83GJ13RfdkdY6BqFstMSEAzaMB1DBzDYVnzlLkKBUyERarDdDf
 JeOfqMMZdnyIERqMrIhhz4NzgMv.WMy.VqQbJqVMPmiG8DQO.TSZ5A0Vx5QuFDQk7xwWaOJUEYdg
 1IsZG6g.bxfY_HpmBmeGaXTrawCUPkJP0zWJVPm6fdKu5xT2EKTX.W.4fh22MPQ1.wkb4fVnOzpv
 79fIUtvWdBj2oPWXL5BZQnEednF6VkeVtTDrqWET4RkMDVDtYccu0s4zQlhmXXB51uXmkr8yQb2Y
 iZqcd7JnGm.MrP455BqbKMEmUsf6mKBVm2WwB8WUWOx4VqOMRvsttRAohKPrGfLBqu79RgzYy3kO
 vkrGPsA7CZLeLPSJBUPzmQ9a2L38tU2M09exl_zLVT1Ln9uuki1IVG4OOhbqtqWiceheQNA0lgxR
 I7Hw1HoUraF2vwJXRizvdRqaINjXyiEDAC5oJR3bNLgByK7AJRkxG1epA3Q_gfHRpy5b6WqKvAtF
 F7ekOs6vrrgv8q5NIMDO2Sr.9e_Jx9T8ca5ogdamimqTGz1ro8LudMn9n3SSvFYGE8Faa40aoyCP
 fNCAcYaG5_ChY9ETUw2vVr2FPuNYhabQgcmw617DvYNXzixTsE0V706PS.hD5DgINHz.ppVdZUQS
 spvVYouiko3IPtyX_hwK.AmgiZMXfqZY05fh5oq2ljUKjWtQtEZwf.Lbh5ehLow2l5xF6Jp2r7.b
 6DzBzVfjwkMVgjQzXaTSU
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Thu, 9 Sep 2021 12:40:58 +0000
Received: by kubenode504.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID e5c69d644ee196561d4b33a90c01b648; 
 Thu, 09 Sep 2021 12:40:53 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN>
 <87sfyem17q.fsf@HIDDEN> <8335qekllx.fsf@HIDDEN>
Date: Thu, 09 Sep 2021 20:40:49 +0800
In-Reply-To: <8335qekllx.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 09 Sep
 2021 14:57:14 +0300")
Message-ID: <87bl51ncq6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.18924
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 764
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Can you put a breakpoint in dump_map_file_w32 and verify that it is
> called?  If it is indeed called, can you step through it and see if it
> fails, and if so, how?

I tried a few times, but I gave up because Windows kept crashing.

However, the portable dumper seems to rely on a function named
`MapViewOfFileEx' at line 4499 of pdumper.c.

According to the documentation, the function is only available on
Windows XP or later; this seems to be a convincing explanation for the
failure.

Specifically, I'm referring to the "Requirements" section of:
https://docs.microsoft.com/en-us/windows/win32/api/memoryapi/nf-memoryapi-mapviewoffileex,
which states:

Minimum supported client: Windows XP [desktop apps only]

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 9 Sep 2021 11:58:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 07:58:17 2021
Received: from localhost ([127.0.0.1]:34302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOIh7-0003KF-3v
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 07:58:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mOIh5-0003Jy-Gt
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 07:58:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54992)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mOIh0-0000YI-8C; Thu, 09 Sep 2021 07:58:10 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1170
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mOIgz-0006Rs-QH; Thu, 09 Sep 2021 07:58:10 -0400
Date: Thu, 09 Sep 2021 14:58:24 +0300
Message-Id: <831r5ykljz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87bl52npea.fsf@HIDDEN> (message from Po Lu on Thu, 09 Sep
 2021 16:07:09 +0800)
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: 50453 <at> debbugs.gnu.org
> Date: Thu, 09 Sep 2021 16:07:09 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Try the old mingw.org ports from here:
> >
> >   https://sourceforge.net/projects/mingw/files/MinGW/Extension/gdb/
> 
> Thanks.  GDB 7.0 is the newest version that will run, but it complains
> that the executable is built with DWARF-4 debug information, while it
> only supports DWARF-2.  I verified that CFLAGS does contain -gdwarf-2,
> which I believe configure defaults to on MinGW.
> 
> Do you know what might be wrong here? TIA.

Yes, it's a messup of terminology: the format is DWARF-2, but its
version is 4, and I guess GDB 7.0 didn't support DWARF-2 version 4.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 9 Sep 2021 11:57:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 07:57:09 2021
Received: from localhost ([127.0.0.1]:34292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOIg1-0003Ha-Kb
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 07:57:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mOIfx-0003Gx-BC
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 07:57:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54962)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mOIfs-0007yu-2u; Thu, 09 Sep 2021 07:57:00 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1100
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mOIfr-00069v-Lu; Thu, 09 Sep 2021 07:57:00 -0400
Date: Thu, 09 Sep 2021 14:57:14 +0300
Message-Id: <8335qekllx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87sfyem17q.fsf@HIDDEN> (message from Po Lu on Thu, 09 Sep
 2021 19:34:49 +0800)
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN> <87sfyem17q.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: 50453 <at> debbugs.gnu.org
> Date: Thu, 09 Sep 2021 19:34:49 +0800
> 
> Nevermind, I was able to get the debugger to work, though not very
> reliably.
> 
> It appears to fail at line 5428 of pdumper.c, where dump_mmap_contiguous
> returns false.  Unfortunately, the GDB session is extremely unreliable;
> I was only able to get this information after Windows crashed a dozen or
> so times.

That's what I guessed might be the problem.

Can you put a breakpoint in dump_map_file_w32 and verify that it is
called?  If it is indeed called, can you step through it and see if it
fails, and if so, how?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 9 Sep 2021 11:35:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 07:35:15 2021
Received: from localhost ([127.0.0.1]:34274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOIKp-0002cz-2M
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 07:35:15 -0400
Received: from sonic315-20.consmr.mail.ne1.yahoo.com ([66.163.190.146]:34949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mOIKg-0002c7-FG
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 07:35:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631187300; bh=0WlwvvYSW8kkBpnaMapeqpkB8I0jX8O0RkmTIc8pItI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Q3jnBeUasozKVpGIy7n94BlRJeThg0DCck2GQIvHsa1il/56nHLF5PfETcEbZqJz7q8mZHjJsRZUhx4JbxySNRuFqs2Du+BS8ysrnlI3OFL5FC4wGkOkrMYDMtEyCxKhVv6PEheWcBIGRmo1/chPEbyzvSeZ0kucrzQiZUMnFBhyE6TpNoe2oF3s1vW1KxRa4719wG6pgYv0N9zS4W6wRojOn9O1ce2N9V1U64u4V9vgNk8HzDLg898VFT58M/CbAh8dMuBDPyKA0FLVDAQLepSFJrv6yefoWxEUY2pmg5se6I1yHrizltWKCZtB+iv7xLqFEPZeXxlMHiTDVige7w==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631187300; bh=TXalBXgFgoEwSj0c1TBBJHeUz4NK+eMWjkBxl6VfrvY=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=ZD0TrAJuw5rPXXEzn0Y11yyNevJfcAoFL+VUpyyoCjbsevzm8Lw/IuzQoJkA+z+KcSFEfbS303W2JbuLAMu8W1PQ9+7/fZu3J8pwqA/FR9jrl356pU/pqInSP3bquRawt7BjeejcQy7xqa59d7LSYoIFX81ACWY524EzgwMc8ed24pbYxVF39I7wdh8LhMVSG4MOgmpPxwg2upmXDNtjz6fdke2m0azmvaCwOvT3crETp+dnvrxHSWiWUG4ONowWyacaUQd6WAsozc91UqmLbXQn04L6s3mM3JCOsI5YM7Mact1nown4OZd2t4mcEnN2yzj7lK1/LR+2Lv7CEIO+Yw==
X-YMail-OSG: FJCbDnAVM1nIVGswhF3EKhFTdKIcsAI1aUUz8k7.foI_uCeQ_srwe95uYhGPBu4
 Gc9YpZ9G0iwUHFoWpklh1dOZdiY_EwXHKfMe9nn2p9mfCRkeGL3UCn16nsyyD0IG_UU08mQL8DXH
 D1IfpDvsL.Bhc53ruVUk_vCX9fUcn1r.Q2m04ZX2eiG61y5FhraxaxTN43CR43_MotZ4CV.C75qn
 3TXjUxsR1CQ8Vs0IZ0olRcnXWBpMcJDTvU6zaGv8kQ9UREdVik_xOD92tLTSCHhUBGCSISDli1Zc
 H4kV1acqLMRzEmgxQ0aWDqn5FjWnPJC8anRkyu46TA4mKVtb23h28hu_FIHhnqO_iOcbtsIUIMT4
 0YKdTSW9Tbrq6vcNao6KsmaEl2QGROA8tIyY3GtzIpEXfFnONN2lSNFdMg0dcXp2eOgbAuXOiQYB
 7CqxGvlURwJiBLjTlienadnhIyyv3fHFr5tXq6ftWZMRxykUcaIlwwm.XM5e_F6kROlk1DPdfbja
 R0.C0IXVQ18veSYtioFHol2XAWOeqwCVdPvK4AQCZGpseHu5OHZj28D.DJMMhb0C4jKUVoqybJko
 IEGoT7Oc4gXw2VQZbFmN_kUKtxhI0Cdms1cq6mb4Py_716C62DGqUc9IPMj3DEOSlLpGj_lWOhQK
 A..rPGYT1dKx86yEB89XMh.mNmU3ePmCNyMu9kKqJXBFgLgBSl642BeG4sUSmv_.SeZLa1FDsAvg
 LvdDh3PqhKr4ZssAqUCBfMQDm3QZKzReP19eloGKXxi2C598DTfiJ5rGNVZl.vH4UMvhmQM79SHK
 KBs61gBER_XkrlKSzyRXgopN7i.G.4Rdxzy0VPROI6UBoRu8.AiASjAReCoMnB.vKvgop3pA7quh
 1fmu4XhAs3cCuTiaz9.GXzmDSvomyW9DEEXvuY9gQsVxOQfj2BLXHXWUTtuDqT1PBQG5wVD85kaG
 eOAf518DN9DGFo8mATVHGEE2VBKWZVSG_gvGAr4N5m9h.Ld.JryV72F3X6HQDtd5MNncuYn4HKej
 7.CWu9LKo4MDnbyDmew1J5hzVDjjMjHNmUOtMRxeVzbTz.ItjS2ulxM7iT2HtKGJqQ_ceZkH1lp6
 BDeRzKqZbRMh5mHVHUOvf8nDcVWHy4BbPdC_5_b19QiUhADqeTx6AtZERMOsB2u2gYdXQ6c28NPf
 KuiOm3eVk4mvjJ39cYJip9Us_EEs6oAHiSg3AkRWA_eEr8hBwx27gqZvcv4Sx2ps3lpDa0EHkbnv
 Yg6Wyk.6GlGm1Ztr4necUPFuHjkvUbCxtMalHzu8SRXLax8C0K34zg1eDOAqbyzuv_XyK.pld8Nq
 I_I.4RIROcKSeXEnzPt8ecALLEiHxABHOta30csNrZO4exONBh.VlGjDui9PQ8yIVRdygrxlzQpt
 w8iWpcgLlg5nlejnv2tYrpMwROrJBHs_9EcOmYAepLeKoYE5ZGUgcJfxlayCfrPOgiS9WF7ydFTt
 awcWdMUfCS2M721bukz4G4i7fwX.oVCCOHvypVoI.CJfI3LUiziHGxIHlw2aAyzEY5gVPHOeeUUr
 yIPlxxXQldOymQCAWEMR_ZcfUoj9LbPL9Ns6pjVWPdzQ6e_cLImxv1kLt95zOlC1DIxyZWvJGhoi
 .ys_Tm7183deosFADdFJjo6VZ1BulSBvTaspTCM2MK62LDkM0gBr3yQCx3JPxblkPTEUPEz2CPJT
 p9Yj3wN.cSbjCBumrd9O53qd7Ngv.FjjUbZjTOa0HFs.KIxJ6sDmGNdjhytMP9E0Fl1WCaBK_Wzg
 BFXw3VXSwAi2oe.90c19v2YoDUN3SoAHFjAZAORCxK3MsHlWghBBUSv8LjVLpFVzrkBnlmfZEwdn
 ZkSJnUI7UREEqpxRB7W1m81lFm6VkuqTTrkFDXH3kt4bXs4.gpaqQu3cTHX9RGZGKGum07Mux.WL
 ogTsW3g4t4mMfw_6t.Bw5XjywI.YLcsRHN1mkbT5u8cvUTLkomBZIqxXG91Sw2t1ZMwHTiprtLUf
 EeEfbmH8uRIGyOIpj_GN3TMLPTx25KkIrp.gnDVUkf74muf8AfRXhNA7Ug4RdDskjnl9rmbJIpqb
 QTcu7C10aMWsMR0QaY9PwByo.NsLwbgzLZ.WnzJK1Dn.iPdoVu.GsJTjP3p3wEP7qzjR7UHJ8gty
 RyViAm3SK3j3inqKCqUvS5A3idlw2HajnPQ4OjdSVLzOfmivbGWj_u3OaLY5U9yvRoUh78iBIoxT
 Ut5XRAvmrR_HgluUBBrGCR38PLcmFyavIHfH.MBifDDBSXphSgqhUJo7_3mrQChUMFqRGJZAfrVI
 WnT9_q8NCUfvtAmc-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Thu, 9 Sep 2021 11:35:00 +0000
Received: by kubenode516.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID fd61bde9bf7d0ea6c6a19ee014b01869; 
 Thu, 09 Sep 2021 11:34:53 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN> <87bl52npea.fsf@HIDDEN>
Date: Thu, 09 Sep 2021 19:34:49 +0800
In-Reply-To: <87bl52npea.fsf@HIDDEN> (Po Lu's message of "Thu, 09 Sep 2021
 16:07:09 +0800")
Message-ID: <87sfyem17q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.18924
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 315
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Nevermind, I was able to get the debugger to work, though not very
reliably.

It appears to fail at line 5428 of pdumper.c, where dump_mmap_contiguous
returns false.  Unfortunately, the GDB session is extremely unreliable;
I was only able to get this information after Windows crashed a dozen or
so times.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 9 Sep 2021 08:07:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 04:07:28 2021
Received: from localhost ([127.0.0.1]:34082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOF5k-0003bc-3F
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 04:07:28 -0400
Received: from sonic316-22.consmr.mail.ne1.yahoo.com ([66.163.187.148]:35462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mOF5i-0003bQ-0X
 for 50453 <at> debbugs.gnu.org; Thu, 09 Sep 2021 04:07:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631174840; bh=gxY7UMveCoOdR34OXQEi6svdHbXINInskqXr+bU7/Dc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=mb7pYPmBGb2bIPRvwPLG0SgAXU+IGxjodq5ZvEta0BcLSd8RfP55k4kdez5m/tj//OBvBWcrEjV5FQqcS2IFrtJSnvvFR5rtbT6gZAK4Yxirdm1RTiOWOyMU9ke1CrF1IAm25pSOsjrNc/bPbC2DvBgGdadi1VcGNLB4wc5ouryLcizCk3KfEykUaVtNi6FVGDPQfchSUMXBck+Zur/YXqf5CF13lp1iFW/q1MLNaM5oCAenf82/B0L2yaRmuX4c8fnhyzvjPFyqF4hy4YxKA1O8Rio+65uttS7DOn9ulxl5tE281sC2idVvV000qa66tXOWCbpwV0fnqLU2DL9YcA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631174840; bh=JsqrxkUCsEj+9CjOIrM+zAhxMc2AKdVJtooGQSGHPls=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=CvmtrnLzR+TDpmjGxa8eU+LQqHiLWa1MLP0R9R/ik+zUeJAaW0dsi2nbWZVvpHEsGEQ0DKzTlKa2hlh0h7xyEfx31fQ6ik970ud4m5aYGm1yWiPQXfJMBf+3bPWdni/ES0JqB0h/tcRbDxWtg3AyfQwVHb81/VvVoWjKzaxgMHugbK4m8A8NlnxvHh8eia3OREeGKpou0qL6K7/66/ThIhxUXfCL3yH7AVLE7qWmOakKasZ8xpo71E2Pd2vqQqRgwyym7WQ/Ja5d8dqDBjVK2j4vDSJ9X/SwYvU0ae5FrPyeZpUbpdI1S1aCvPAkiEN34wpGdZn93tusKrRWu8VrEw==
X-YMail-OSG: t5lemP0VM1kaliO1zbpJgbXe.aFEe77eCwCbmgU5iXrh65XR9Xyq4dNpiShW3zF
 bKHilJ1NsAxCzTMi9UkjKt1hs4bzYzK.tIr44HsFeC5QMKYRDCte9R616FWAWiGhWGdEltO976tb
 Lxeb21sccERqXQ.kMN2Y5QDiYzO2X1FzXjowJtw_DftXHes2iwq26WqzwtlKBDDJOd6JDc8V_wTN
 RsjqY.IQu9LKw93TcGx9_NbK4phL8p30nhnQBanCkL1PPINAp3RMLx.4aKYQndBUb2pEXnpLxD6U
 QhTy5s3CYsiDveF6UKwJVgS.8KCEsRbNxl5wHiShZvYQgwB.Zh7AlagPRHVn7rODIa84c1eOdHXu
 GMQplyZVuG8I8g.ZtyNZoROHljh2nvys_dwO1sd0g0zkec63V978zwmSXutjUBCs1pU7XUT_CYTD
 yX9cbAXeng5ollVO6GnMoFzEZ7B9zD5YQWYPGpwe.se.4FcSDgNe1YhzBHZTmMlFMb6WD0CSgq8i
 rmG7HFiVH5XwtzKmXz3w1pr9nIWm1QhnzKszRH7LcIY1ySnJyeq_r8kcffe3ctMkwYKC81Zb.024
 HCQW.hWA9_jKTbKx1LGJ59LSN744rwhnnVEyuHmgpPblRnMn1ZJi2f7LDD.xG7Xg8MlpBZXHIVXo
 d.25PmtdJEtTFO34z2bSkX9C913p5pJoKNDzdEfi7kOjrjJDugrRi7NnyyEilUS2zYrIc1FO4R4H
 LSfsL_1VqKWxyw05Kw9vBONaIIdpWGurrRkXhpYEGEc87L0RV5enC.jG8orFjcwES5U1N1kw7pDs
 FNnd06rGAnMqLT9eArCDZfzr6GLGCThwdOJC8yfFVXgBJ.2YL7pr.rpKm6dk2OXNXNDN6x_jwizA
 8u23NBGUCSL2WrLn3fmDMQXPVDOF5x6imGu35ClL8h3TswmmVzY9p4w_iW6HcXpe2tyfpOX16iwd
 4Y2YmA1V3dsJ81nqRrwxiJHJ04RdtKXUx1Gnov1MeSC7dgDX9u4hKbccI4XaXojm9VSV7VIDh1Nn
 gjnL09.tTX01SLZ9cu9udhHobiKxbHtFf0CVxOu.2Nra3UuT0aGiLMOyjLvN.UpIPapTUQn9QlpG
 1f2sO4TJmti_QR0.9MZ1BaeudAmWwX5gwElm7xdsMsZsNNhKtuerZXoVUf3nxpzFU4LyfnXDBneJ
 6c4IJgqh.2OGbLiXNkIA3CNXt8Kf3735EtKtEZtuon75EPx7yQ0hF7mfrKYvPaHDrPnUzouhzgF4
 EtcaZxIU5dc2MGavg1WlJUUeGLwJnbmCHS9MzGYlruTQtxvcdMz5T1VSgBDW_TmvX0WeHAdmGhIR
 0_m_Ne6ZXbDqq7FNA5dKJuJpwxostdJJho47a1f3MRGFt1ZtqnIIjtKbWHBsafltljly66o1qb87
 ABPohTiMguMu7UBx5YpndCi2P5tYsuP0_JJMOi.zzc0_clPRMGUT7YS3nIKPzt9sj6Z4T2ct1bTq
 qZysroaWmP.MI6c5tQ_uq_59xsodJMg6ogEV_JrHwpML2KnLd8iGs0HWLeyuzjuqy7l2tfXFRldD
 uHI2pc36LkUyP.YpbXrvsFTkrx3bk_ku5Ta5ujxzy6RJGmUXp5..ENs6MZc9M6WeQQ1mZkobs4CG
 cc50jiUOj0Zf64c0XOjvMpaI03HHo2fEzoxqZn2yl08cs32WWJoCxMRo1bmll3i.z3PCnVqOvRwC
 o5K5C0i2ZkCuzSdTx8htJZHqKxZdaAzShz227xrsrO5N4.2LWZwCoDIqiS4zOfl44jD_RZNsmj4t
 BEjAFVq0VEqqpDQSVVhXcgk99XK8HYa1dZqnN9xhvHkFUvHFKQRRMQTuMOro.oNf7oUczqYPS.wx
 Oct2v45a0PrJE64kXGHEA756Mb1WAQP_qJ2c3A2ONDjnGLdqtOh1WG0S2J1MBnDGSGtY8_.mZ8uZ
 3jeMvNtY9HlbdG8FWaCkPshokfbe68sBhxG7jncm1_2yBm.mzCkXRUjg_UD7yFofqWdgnIGlfnyt
 OKcBY2EPfNOvO3qpaPz5lxt5.yG6BaYnUakR1.6SbtFbti33WqlwUjW.TIki9IALM.WrpmghVhft
 EK.qHFFc_NLgGwF0Ojpbse9a0SQALwVfXrwwOIO3aXy_fwM5uEJ9RzlR6aBPNTwuSAEWUuRwjhtp
 t4ZfZ5cjEF9kJYB.CREXNZb9N0levRL8qTuI2cXac9wXzpMc6zTXGxZOSNfVAtG5De1m5l.akDtj
 1ctDuhN5RNWPK7SUkNHuK9aRmQS9.12FhmHMratP1PUvdag4sv88ATeg.CXYbVp_j1_sBFXgAXko
 hCytDXOEvszR5uoE-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Thu, 9 Sep 2021 08:07:20 +0000
Received: by kubenode518.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 2c3460d28574c0b1776bee7d265beb43; 
 Thu, 09 Sep 2021 08:07:13 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
 <83pmtjmc6e.fsf@HIDDEN>
Date: Thu, 09 Sep 2021 16:07:09 +0800
In-Reply-To: <83pmtjmc6e.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 08 Sep
 2021 16:25:45 +0300")
Message-ID: <87bl52npea.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.18924
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 456
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Try the old mingw.org ports from here:
>
>   https://sourceforge.net/projects/mingw/files/MinGW/Extension/gdb/

Thanks.  GDB 7.0 is the newest version that will run, but it complains
that the executable is built with DWARF-4 debug information, while it
only supports DWARF-2.  I verified that CFLAGS does contain -gdwarf-2,
which I believe configure defaults to on MinGW.

Do you know what might be wrong here? TIA.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 8 Sep 2021 13:25:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 09:25:46 2021
Received: from localhost ([127.0.0.1]:58977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNxaE-0002te-2u
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 09:25:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mNxaB-0002tN-Jq
 for 50453 <at> debbugs.gnu.org; Wed, 08 Sep 2021 09:25:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41442)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mNxa5-00027W-8u; Wed, 08 Sep 2021 09:25:37 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1557
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mNxa3-00048I-42; Wed, 08 Sep 2021 09:25:37 -0400
Date: Wed, 08 Sep 2021 16:25:45 +0300
Message-Id: <83pmtjmc6e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87y287nsz5.fsf@HIDDEN> (message from Po Lu on Wed, 08 Sep
 2021 20:37:34 +0800)
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN> <87y287nsz5.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: 50453 <at> debbugs.gnu.org
> Date: Wed, 08 Sep 2021 20:37:34 +0800
> 
> > And second, you are using Emacs on Windows 9X, something that a few
> > people do, so perhaps we have some bug related to that version of
> > Windows.  If you can run Emacs under GDB, please step through
> > pdumper_load and tell where it bails out.
> 
> That is proving to be a problem.  MinGW flat out refuses to start, while
> the GDB from ezwinports complains about "KERNEL32.DLL" missing the
> symbol "AttachConsole".

Yes, latest GDB releases no longer support old Windows versions, even
XP is in danger (although it still works for me).  And MinGW64 dropped
XP support several years ago.

> Do you know how I can obtain a copy of GDB that
> will still work on this old system?  Thanks in advance!

Try the old mingw.org ports from here:

  https://sourceforge.net/projects/mingw/files/MinGW/Extension/gdb/

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 8 Sep 2021 12:37:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 08:37:52 2021
Received: from localhost ([127.0.0.1]:58853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNwpr-0001fL-Px
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 08:37:51 -0400
Received: from sonic302-21.consmr.mail.ne1.yahoo.com ([66.163.186.147]:45110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mNwpq-0001f8-0f
 for 50453 <at> debbugs.gnu.org; Wed, 08 Sep 2021 08:37:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631104664; bh=bv/NVq7p+mVVLgthZzwzM4o5oBFwGqHCyAYJ7KYYhZ8=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=aiXJdeyW7SttgZbC3gEmUkm9MtCLla0cv3YF4GE1vv42XBjwQmMmxmf14L0VguBTmo6SVBnfolAVyFhUMFWCds3mlqkd3qsJhxDPVEryshSMfeucmDrTHc27zsCMc56GJ44mg73lHBKydLU7SHvOf3LuyPINOvOJxMVnwR3ffgLpaQcqOBLdeakZLV3/BRMHId0X93cvdGcPCdBOvJET/mAdY+n/wqzhGTewqG4EZnKmUmqh0niOaD8RTnO9aMp3sZ85VXIBl9leFOtqN/9li80i37pbfb3u9nzaOtLVEmma+NSIqFc8u8EgdpNyEaiSsRv4a0b5S2HxHhULMWsLzw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631104664; bh=1D8OHl4Crlad6z8T8EYUhLFh/l54gFTKd/5cXQrVSk7=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=G2dNqZivb44+JTSwdQd4Xqll6ZbhhUOC3zgcTF6497jVN19m1ZU5EYhRg4584Z7mt4In1ex77e83Jjzxmc9vcFNBMTDEkEbQpuTPQ+ay/UdIi+1Qb08X0RajbmHdeMUSpalQ8WXeN8qgf3yx5wVkyy0/GJDcJTOkWnaFIERWssdYUEfAn9CkHaVA1pDzxbVeFGtxjTqJuXTIR1THLpU6ZKGKZoEyBMHNrqnRCNhaOl+dHWcxxKnuG3Ms85vfYaJhEiSwb0xMgDm+Y5ZxZQ6vXAvjb9YrLgqbqjhcTUb3azqGDcGXzf1BrBk3DD60yZf9H4wGVMiUN1iQ2SlfXa0yUw==
X-YMail-OSG: uh5hqioVM1lDQOGl5qDEHh8vw0iog_XzI6mJ48oJys8V4RveaC7qXs.kaon3gln
 yGXA4Y4pexJM_gxTaOT.EvYkUsonuK52qBAQ1XNzwTckksSOzppZ3T6vuSOoWI6PUovPN0D8zAWJ
 HddSpeWfZXEzNrtVwUm9.MY9ngiw_GJ5YWQvxjULuypv3Mb9DxHa6LwRSmL6KrhoI9YUTUrtplSB
 rWC3XRy7C7T_UlK4vvLHOE5EiWz2RhSAQlC2C7setFY2w.JJmlAdP2NQE3.Ws_GpAGxpL7BC21cp
 2LznmtNwI74gNZeGHlhJPtswAgpJejTNSSH7AMCG4gspxPbqQdncSAqmeGYD0mdUdZV80wtrchoR
 fxBLOe8iJa5mW_EgnhOywGmZmPQAZ_uH63fHCzSw20HVj2cxRkUDoET0p.un0xVFwb3eLNHXKtc5
 nOLgIxFQIb8g8htcEiq.I3K9LTWgRQJ9N3DbKQJY3yaZSJ794yDJS3GITHxj5CIYi0Ltrs0VCATv
 rNoaJHBhX7mlaaqc4otXsulGlzG867PKmp7bA_lAiGtCPgrEIP_Dc2WBSr8oZqJhoOgHnDaGt4YT
 fBYFx4V.iKZ7FUdABAqEVjjjI9waZYcKES_kMaqe2KZPjwr4uVfmBOagy2lOBnTZA9diBWfvdwAG
 xTdHfGMI.jqfPdWVXB92_4QtRITHyuyZLnLt14JFg_XkVMVz257zS6jlU3ACefIfQQFDBhSL4GSl
 DxBNbozVTadEwxiUeTD4tfr3SnlhH9gjEVR4nRJw0IBbQOpzP5VAVqEUqJIMfUXp4JS1KPe27PpY
 nIAKXbbgqlYi2hrmASezrCoTloo_781P1HLmh6O8t5c28OJg3xR3G0tqlSmTtWPCO6Ijj7v4wj0D
 GlzMu97mjhOIBA0wP_677ykH5mi5ehPTkO.kyGO.0BRasvKFaHtYg1d.e.J6xBDiIdteD8f0mC7c
 mKQL3l73CUnteWEqiQFTiu0egbEKO9uPSTwazCe8l0pV8nrGInzpgaB2oCsbJ3My21CV_3uzoGhm
 07O2Y7qUfDrzZkwieiD6t8V17C5LwpOfIt3rYD0t_8QGQtKqbhTYjnkUc1HF85Q9dav8YkPxO20a
 p.74oz1ff0RyTGHssXhQ3mWFFx3nRD1Jl_MRU1ew.X_m9VG5XuC4BGcf26GOtaIguX86nVRVeOQx
 GVUoz1rsI5lTuTML3.WztT9m5TE_M7l_hJsWhpongBfylO1Uc5EZs2hIo5T5G1VzCmJc58Ex3jtb
 cKP3CaJ22fs7jS2s_aKITzJfg6xUd0VvlgNcpIoq2.FgPaZi.DZvkLmay_cGKSFxnv10sSdDmYPx
 aB6079RyJUY_m5_yBlJq3fh7YPamvoGeiKBd7CdaKMS0_LUOnfTF6jtvUKjqgZD7ZhKDZ1UK7CjH
 NrWRYxBPCZH7XxOBaBrGC2Ra.24luCEbmz_z5RErtDF9Ap52IPOBLdAEeKUbU1m0ZEE_rQehbKJE
 .jSjipJ863s7hZNe0LLW_aB1rNDHIL6R3T394BKGoTPgCjGkL_o_Rg3xy3GzQE09WIGeOhs8xLUv
 Spc51xeabB7Zf2aE7Pie1lu4XVSH7cS.4XudPJsMbPB_OLMo0WuEkOufMv1cqk2RPCSwBvyKkTnK
 1OQrtArrtPk1ZoiEl0bvoQsjJBUUxY8Ms28oTLUF9VxglKRTo_nW93t1EZ1CyZQI2v2iFT02dJOU
 3mPw47bwf4mG9KGDzx4JOIH9YJpdlP2MpLOpLSetsCPdCQSJNXXV_HusXmsA7v7PTw4PRJtbrVKN
 Bqfr7F8JuPVo2v1QKA5cwpSdVMCek7bH36NAmQ6wWs9Rg65MlmrVGb34oHAzgMS25IYJ0mVMyCW0
 K9ptqY3IhNScZE2Ktd365NQeRUVY2NYIxKn9rjHObwDLngGt8CG1kjacel_tvuuXfNWU1Y51SJF8
 NQWhs2raolVZxtohQicstHWCZPFCNfupx4lBsQE77mQQpidB2ih6FvjTkBNfeX6b0sJ2pOvJ9dZ8
 mszLNLgPkNsHXYM54UoXjBOT6538z17hbitEleEgVkBuTm.pcPw_Od8sHSNvq1Tn8Yg6ltlWvlfg
 1JXtAy6PhQw7Dporl6X0XeMXAlckLSXd9hI2tixszHoJVXJFS6cqLlivcVUsMknXaaekPhV2YJe9
 cxr6EO751RSWDWbPMHBwUzo42tSm9Er_JbnuYdvAfgGZxz6_DcYXinGwxYGzqHyQU9IHdkmd3JgD
 OQkxYD9g6WZ7md4mAMfBzlz7.KHQ2HwW.6dtL43PfLHzXs0.31ApNJ1fNDWXFzcmyE6zmP7Ntks.
 fYRob6IKir9a03g--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ne1.yahoo.com with HTTP; Wed, 8 Sep 2021 12:37:44 +0000
Received: by kubenode507.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID cbc144dc02dc4790a3005cc392a363d4; 
 Wed, 08 Sep 2021 12:37:38 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
 <83eea0pkdz.fsf@HIDDEN>
Date: Wed, 08 Sep 2021 20:37:34 +0800
In-Reply-To: <83eea0pkdz.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 07 Sep
 2021 16:47:52 +0300")
Message-ID: <87y287nsz5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.18924
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1215
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> How do you mean "operates normally if the portable dump file is
> removed"?  Without a pdmp file, Emacs should load all the preloaded
> Lisp files when it starts up, which is definitely not something I'd
> call "normal".  Don't you see a long series of "Loading foo..."
> messages when Emacs starts without a pdmp file?

I meant to say that while Emacs does load loadup.el from source, it more
or less works normally after the load completes.

> First, the important figure is how much of the 768MB is free when
> Emacs loads.

That shouldn't be a problem; none of the indicators in the resource
meter report more than 45% utilization when the crash occurs.

> And second, you are using Emacs on Windows 9X, something that a few
> people do, so perhaps we have some bug related to that version of
> Windows.  If you can run Emacs under GDB, please step through
> pdumper_load and tell where it bails out.

That is proving to be a problem.  MinGW flat out refuses to start, while
the GDB from ezwinports complains about "KERNEL32.DLL" missing the
symbol "AttachConsole".  Do you know how I can obtain a copy of GDB that
will still work on this old system?  Thanks in advance!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at 50453 <at> debbugs.gnu.org:


Received: (at 50453) by debbugs.gnu.org; 7 Sep 2021 13:47:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 09:47:53 2021
Received: from localhost ([127.0.0.1]:55650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNbS4-0003kI-Nd
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 09:47:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mNbS3-0003k3-Q7
 for 50453 <at> debbugs.gnu.org; Tue, 07 Sep 2021 09:47:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49702)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mNbRy-0006HK-D9; Tue, 07 Sep 2021 09:47:46 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4219
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mNbRx-0005uL-VS; Tue, 07 Sep 2021 09:47:46 -0400
Date: Tue, 07 Sep 2021 16:47:52 +0300
Message-Id: <83eea0pkdz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <871r60v9i0.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW
References: <871r60v9i0.fsf.ref@HIDDEN> <871r60v9i0.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50453
Cc: 50453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 07 Sep 2021 20:46:31 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Having recently had an opportunity to update the Emacs installed on some
> machines previously running 24.5, I noticed that Emacs 27.2 doesn't seem
> to load portable dumps, and instead fails with an out-of-memory error,
> the precise error message being:
> 
> emacs: could not load dump file
> "C:\PROGRAM FILES\EMACS\I686\libexec/emacs/27.2/i686-w64-mingw32/emacs.pdmp": out of memory.
> 
> Emacs operates normally if the portable dump file is removed, or when
> using unexec dumping.

How do you mean "operates normally if the portable dump file is
removed"?  Without a pdmp file, Emacs should load all the preloaded
Lisp files when it starts up, which is definitely not something I'd
call "normal".  Don't you see a long series of "Loading foo..."
messages when Emacs starts without a pdmp file?

> Admittedly, the machine is a Pentium 4 with 768 megabytes of memory (and
> what would you expect from a PC used to operate legacy software), but I
> see no reason loading pdumps should require more than that, as the
> previous dumper worked just fine.

First, the important figure is how much of the 768MB is free when
Emacs loads.

And second, you are using Emacs on Windows 9X, something that a few
people do, so perhaps we have some bug related to that version of
Windows.  If you can run Emacs under GDB, please step through
pdumper_load and tell where it bails out.  "Out of memory" is its
default error, so maybe the actual problem is something else, and we
just mis-diagnose it.  One possible issue could be with the way we
read the pdumper file as a memory-mapped file: perhaps something there
doesn't work on Windows 9X.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Sep 2021 12:46:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 08:46:52 2021
Received: from localhost ([127.0.0.1]:55565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNaV2-0002DN-FT
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 08:46:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:60408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mNaV1-0002DG-5n
 for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 08:46:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48138)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1mNaV0-0001kS-C6
 for bug-gnu-emacs@HIDDEN; Tue, 07 Sep 2021 08:46:50 -0400
Received: from sonic313-56.consmr.mail.ne1.yahoo.com ([66.163.185.31]:36227)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1mNaUy-0007jJ-Lm
 for bug-gnu-emacs@HIDDEN; Tue, 07 Sep 2021 08:46:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631018805; bh=M71oVG3y3wsQQAl6F4gMR0WD7XmE2ZCzFK1JN7xF+BM=;
 h=From:To:Subject:Date:References:From:Subject:Reply-To;
 b=Np4sQdfnaZjuSDzN7A9eq86am8vrHusisB3wIXC+wHi1DLjjn+v38pw5ArYQehsVWtFjp4Ew3A16nfwM1vO13uIo47kDd1jPfyAtrm52QTC9+UrNtGJ5zLFhW28QoYwGssnTtJQvwbxH33qMHqQx1R8dEeQqfB5Jr6/AYW2YvIZ2aAIWdnNxtev8+3G6bqjK/dUsMupANrd+gdpz3F1pCPmZZMAh4Mn9LU9l735W7a8vwiFlpB4wQuW+CJDkijVeaGFiaT1dkQjnvqatWASJ4ppgowo3DVvYqTLt6hpcM4/feqniD4xzGyBswwR5JjGU96lsrwHTCHz7q7NNOMwTng==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1631018805; bh=O377g2i/V5EG2mwNp2VunJO2xiQrbbw1xJ7BVroFS4+=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=C3yfuEsu36hBxce1k3xGErvQZl85NBTDTxdDT0iu6uBUq/IzHdOui0IJgHgC7LJmLYDGPJnZeT1k+VPOG0Z2pSkkJoASmCFJW1hS5xKz0gWIDVOhyuyrrSZgnoheOYfb5VsYcE5dzFWNvGDPR78AI+esxxidVXI9pqSMhdcqvRY6O9+T/jF7WWUU5Wqq7HIdmt553tJZG0Bf5lOHlynlexMza5dcAXDoT5QJVJypZTi83O31ggHPmP+mENgAvMWljZU2ueHlpn9QngoavhuTdFcAYG2elep6z7EO7do8YHMgA4JECah6s01GxWctavwFWwaP/HJWqxIiAeZVV0aQLw==
X-YMail-OSG: GTI5CPkVM1kVvWO5XAAd8dOCd2U.3N3qqiBvz8Pe_iyBrxymRG17KYLtEAWYjVe
 PbHYlp.j98Y_GUT61y3rPpgdGGE03KDm8wxPeUMevDPjtwIC.0gSi5KtJ1XaWt0SxEzaKj4_nw3Y
 EEivZd9fydQO22w4gbkjeeNvgTVL2qVMQsfuCuglah6sCykc4x0G.tKdbhoqYZ84v8UMxp8PKqMk
 wg.RQGG7M_Vo_mwKxgQslA3LNGMelXuUSPA.b4oV3YCmr8RFGlMMj2.V4.R5QPhoEW8g0.RvRENx
 xEf9tKL4eNSg_qqQMqnGWVjvLFz1WOFtwcrxvinorrOClyMcOqp6RsfjeHld5l7W5MVsDk7nKYk3
 Qvl8gvhnKsGtZdcsdFgUIVC6MITibcI_qyEYb6mUho4x7IUaSg1zwJOlgoaF16UkcvG.EY7kmJoL
 YoO76Li1ZBZbIFikPxRXLEPvih7v_hkdakFsNtenc5UFxwv_L4MPLKIaSwftsF957Y2jh4YNQ0Ac
 TSLw2iClPmnjD8yODZ1awT1X1IBG3m_D3p2ope0pn1mvVvRIWigRqj8UV7kkdXREJLApXgV3PBmQ
 8W4GgPLm4wCumcxkptMZqfPLXXHBDCMwm38OsYuRqQU.3LlaQ_mUHnAub4Zsxdf.ibngdtoodt4M
 BItRuM3oDc0AaW70KK84B_CapO9wyaSPqR00T5N4RgCTWhXcnSZDS67Ztwy.ROFJ6hTp_o0fJCW_
 80ATX5suPQlN0jC0wUzco.9FeQc4QOClBZYZU07KmljL5PDCK9xfKeu_0VWkRWBqMSoeKnLterpO
 3F6dKAv4Yr_8nb1UB92f0JWHUvE5zLrUuNk4gf_3LCl_PKrsRYJbByAbzd8wGHXcZeSP31M3bFSJ
 aYyTqH7wfO4WnBtz6_hoSMKBhto7Yt3_d4w65L53L9u3FEPDxIv76G0g0hIZfP1qKWSoeWx3Zx9S
 bBjf01NcCUHy.cRpc3G.fqvHlAdDsm4joXUgIe.CcF07FpA.fvk1UAwwPANUT4L4geNRCt4FHqrd
 eZgkAFw7E2IqVfIvX5KmdCpc1QjE.zg3KuTaFnsPyz..4.BOOCFMPy4vddKqr1sof3m93f_yKMsa
 GcLz29P8RdMMEbOi1LntJ37mUDCq4xJwNIkPT2W9PP9CPLeuO0YlAsbKGFkDZ6Ftmbo1I.pYfP7u
 t8_i7s4_Nc1057Z3K2aqHtHMnzAwG7sexVGUHkVAmQ8N3ukaElTl7_31rWLDmq3c190phQ_BX_Zb
 LsSd5AHeLe.L7oKRJgNw3I9Ttop4chfa4W8u1o.kkPx0nyXPPQBZdMasvDr6EiVRxPyotUCIz66g
 j2Dr1mLIzOGe2Mk8J9NzSTGdR2.QwOJJW77hN.8qSqD6qr6OjURn4_cHzIr5jtSYuamw9vWyRE6k
 uQUJxMdDdMqRl90Fyi0VFFRHXCvapNXfiO84V9xbM4gIS9HfVN1bgznc2ASCVpvkQkUeR.tJOq1S
 ZBZ22qIzsRirBVwOgF2.5XzSzaKSwIQb64Wqk_221ffIVfXuLWvu5sXXD1YmBJGsou8sdyB7tt81
 P5ypv.HbeB7V6LlMuRuOFXPwWvdeiwoLNM7z7oHT1E.vCDFvG.QBIoIwyLpTO78RtzRmamTFUVb0
 tG462oi7u_GlYQobvBx2Ue9cTsNHjXO1qQ4MKptUJhcNSE0HRqiFzHZt7S8OFvobFwtVBW3M4qvh
 Qeo9kEf6YNuzP_cGABByLn6bf6.yB4yBtzBFBpsD.UaH4U9RrfZjmPAEo28TMXj4pfK3cJIqH8Yp
 Z7b2f1EH1NMSt4S6w7cbwiszJwVIFhWiuvALO7l9FxQwYiEALj1FnWm3_oQJ_UpjnwZYJfOolBZk
 Yj8hwWNW1mWeKYsXX2VbtxQy4I9wkfB2TUU_M0XjRGivpvAxFA4Ozmcqf7wn3LlvI6dh_be0bhQY
 zvPFEcChj7HUqvvY2NEiSl5RcXUXqHbS2XkIp80Ls63L4QrO2pPrVt.uxOlKSlaXfJ4rXIT7uSsj
 3PKaJprPg1qBkL6cunFT3EtFdQVVjyITS_ONVa39gAHi7QP8s8mXOubXoAHZmM9D4EaV.0bhWt1M
 NNUe0zN4y0t29bcFL.g1TAmyRENhjPju7YwTaJml18gfcTFFPAUEurGMQ15yh2HA21zGXQunr0HO
 ftrYf.1tOdPqMKwo3U02qGGB3vwzIOYcqtOIUyJnhB3fJql5lE9.iFciIZYIf9juO3q713KYpPVR
 GtJqwhdZZpORLQzs_KxfMZALDxo.yzWjVgxDVwU_Jm1G7gGBiW3D758r9gByiJg--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Tue, 7 Sep 2021 12:46:45 +0000
Received: by kubenode518.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID a7c177c91cd020e18be9568c2946e6ba; 
 Tue, 07 Sep 2021 12:46:37 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.2; Portable dumper broken on MSW
Date: Tue, 07 Sep 2021 20:46:31 +0800
Message-ID: <871r60v9i0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
References: <871r60v9i0.fsf.ref@HIDDEN>
X-Mailer: WebService/1.1.18924
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 3378
Received-SPF: pass client-ip=66.163.185.31; envelope-from=luangruo@HIDDEN;
 helo=sonic313-56.consmr.mail.ne1.yahoo.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)


Having recently had an opportunity to update the Emacs installed on some
machines previously running 24.5, I noticed that Emacs 27.2 doesn't seem
to load portable dumps, and instead fails with an out-of-memory error,
the precise error message being:

emacs: could not load dump file
"C:\PROGRAM FILES\EMACS\I686\libexec/emacs/27.2/i686-w64-mingw32/emacs.pdmp": out of memory.

Emacs operates normally if the portable dump file is removed, or when
using unexec dumping.

Admittedly, the machine is a Pentium 4 with 768 megabytes of memory (and
what would you expect from a PC used to operate legacy software), but I
see no reason loading pdumps should require more than that, as the
previous dumper worked just fine.

In GNU Emacs 27.2 (build 1, i686-w64-mingw32)
 of 2021-09-07 built on bubbles
Windowing system distributor 'Microsoft Corp.', version 4.10.2222
System Description: Microsoft Windows 98 (v4.10.2222)

Recent messages:

Configured using:
 'configure --without-dbus --host=i686-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: enu
  locale-coding-system: cp1252

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
warnings tooltip cus-start eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 8 163155 11505)
 (symbols 24 20691 1)
 (strings 16 56914 2810)
 (string-bytes 1 2369595)
 (vectors 8 30187)
 (vector-slots 4 1194144 19878)
 (floats 8 199 93)
 (intervals 28 286 32)
 (buffers 576 13))




Acknowledgement sent to Po Lu <luangruo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50453; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 10 Sep 2021 01:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.